Package org.springframework.security.web.server.util.matcher

# Class NegatedServerWebExchangeMatcher

java.lang.Object
org.springframework.security.web.server.util.matcher.NegatedServerWebExchangeMatcher

All Implemented Interfaces:
  `ServerWebExchangeMatcher`

public class NegatedServerWebExchangeMatcher extends Object implements ServerWebExchangeMatcher
Negates the provided matcher. If the provided matcher returns true, then the result will be false. If the provided matcher returns false, then the result will be true.

Since:
  5.1

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher

`ServerWebExchangeMatcher.MatchResult`

## Constructor Summary

Constructors
Constructor
Description
`NegatedServerWebExchangeMatcher(ServerWebExchangeMatcher matcher)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult>`
`matches(org.springframework.web.server.ServerWebExchange exchange)`
Determines if a request matches or not
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NegatedServerWebExchangeMatcher

public NegatedServerWebExchangeMatcher(ServerWebExchangeMatcher matcher)

## Method Details

### matches

public reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult> matches(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerWebExchangeMatcher`
Determines if a request matches or not

Specified by:
  `matches` in interface `ServerWebExchangeMatcher`
Returns:

### toString

public String toString()

Overrides:
  `toString` in class `Object`